package de.zkm.pdf.experimental;

import java.io.File;
import java.io.IOException;

import org.apache.pdfbox.Loader;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.pdmodel.PDPage;
import org.apache.pdfbox.pdmodel.common.PDRectangle;

public class PrintCropBoxCoordinates {

	public static float dpi2UserUnit(int dpi) {
		float unitDpi = 72.0f;
		return (float)dpi / unitDpi;
	}

	
    public static void main(String[] args) {
        try {
            File pdfFile = new File("testdata/ZKM-01-0122-02-00051.pdf"); // Replace with the path to your PDF file
            int pageToExtract = 1; // Replace with the page number you want to extract (1-based index)
            
            float customUnit = dpi2UserUnit(300);
            
            PDDocument document = Loader.loadPDF(pdfFile);

            if (pageToExtract >= 1 && pageToExtract <= document.getNumberOfPages()) {
                PDPage page = document.getPage(pageToExtract - 1); // Adjust for 0-based index
                page.setUserUnit(10f);
                // Get the CropBox coordinates
                PDRectangle cropBox = page.getCropBox();
                float top = cropBox.getUpperRightY();
                float left = cropBox.getLowerLeftX();
                float width = cropBox.getWidth();
                float height = cropBox.getHeight();

                System.out.println("CropBox Coordinates for Page " + pageToExtract + ":");
                System.out.println("Top: " + top);
                System.out.println("Left: " + left);
                System.out.println("Width: " + width);
                System.out.println("Height: " + height);
            } else {
                System.err.println("Invalid page number. The PDF has " + document.getNumberOfPages() + " pages.");
            }

            document.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}