package de.zkm.pdf.model;

import java.net.URI;
import java.util.ArrayList;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class PageTextBoxData extends FileData implements Cloneable {
	
	public PageTextBoxData(URI uri, int totalPages) {
		super(uri, totalPages);
		this.textBoxes = new ArrayList<>();
	}
	
	private int pageIndex;
	private float width; 
	private float height;
	private List<TextBoxData> textBoxes;

	public boolean addTextBox(TextBoxData textBoxdata) {
		return textBoxes.add(textBoxdata);
	}
	
	public PageTextBoxData clone() {
		PageTextBoxData clone = new PageTextBoxData(this.getUri(), this.getTotalPages());
		clone.setWidth(this.getWidth());
		clone.setHeight(this.getHeight());
		return clone;
	}
}
