package de.zkm.pdf.model;

import lombok.Data;

@Data
public class TextBoxData {
	
	TextBoxType type;
	float left = 0;
	float top = 0;
	float width = 0;
	float height = 0;
	int lineIndex = -1; // initally invalid value, lineIndex is 1-based
	StringBuilder textBuilder = new StringBuilder();
	
	@Override
	public String toString() {
		return String.format("%s [%d, %d, %d, %d]@%d: '%s'", type, getX(), getY(), getW(), getH(), lineIndex , getText());
	}
	
	public void setText(String text) {
		textBuilder = new StringBuilder(text);
	}
	
	public String getText() {
		return textBuilder.toString();
	}
	
	public int getX() {
		return Math.round(left);
	}
	
	public int getY() {
		return Math.round(top);
	}
	
	public int getW() {
		return Math.round(width);
	}
	
	public int getH() {
		return Math.round(height);
	}
}
